Name:        big-blue-terminal-nerd-fonts
Version:     3.2.1
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     CC-BY-SA-4.0
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/BigBlueTerminal.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c -v

%build
# Nothing to do here

%install

install -Dm644 BigBlueTerm437NerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/BigBlueTerm437NerdFont-Regular.ttf
install -Dm644 BigBlueTerm437NerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/BigBlueTerm437NerdFontMono-Regular.ttf
install -Dm644 BigBlueTerm437NerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/BigBlueTerm437NerdFontPropo-Regular.ttf
install -Dm644 BigBlueTermPlusNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/BigBlueTermPlusNerdFont-Regular.ttf
install -Dm644 BigBlueTermPlusNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/BigBlueTermPlusNerdFontMono-Regular.ttf
install -Dm644 BigBlueTermPlusNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/BigBlueTermPlusNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/BigBlueTerm437NerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/BigBlueTerm437NerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/BigBlueTerm437NerdFontPropo-Regular.ttf
%{_datadir}/fonts/%{name}/BigBlueTermPlusNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/BigBlueTermPlusNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/BigBlueTermPlusNerdFontPropo-Regular.ttf
%license LICENSE.TXT
%doc README.md

%changelog
* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
